docker-image-build:
  image: docker:20.10.13
  stage: publish
  variables:
    DOCKER_HOST: tcp://docker:2375
    DOCKER_TLS_CERTDIR: ""
  services:
  - name: docker:20.10.13-dind
    alias: docker
  needs:
  - job: build
    artifacts: true
  script:
    - |
      if [ -S /var/run/docker.sock ]; then
        unset DOCKER_HOST
        unset DOCKER_TLS_CERTDIR
      else
        while ! nc -z docker 2375; do   
          sleep 1  # wait for docker dind to start
        done
      fi
    - echo "$REGISTRY_PASSWORD" | docker login --username "$REGISTRY_USERNAME" --password-stdin $REGISTRY_URL
    - docker build -f */Dockerfile . -t  $REGISTRY_URL/$REGISTRY_PROJECT:$VERSION
    - docker push $REGISTRY_URL/$REGISTRY_PROJECT:$VERSION